"""
ABSFUYU CLI
-----------
Misc

Version: 6.7.0
Date updated: 26/04/2026 (dd/mm/yyyy)
"""

# Module Package
# ---------------------------------------------------------------------------
__all__ = ["misc_group"]


# Library
# ---------------------------------------------------------------------------
import click

from absfuyu.fun.numerology import NumerologyCalculator


# CLI
# ---------------------------------------------------------------------------
@click.command(name="num")
@click.argument("name", type=str)
@click.argument("birthdate", type=str)
def cal_numerology(name: str, birthdate: str) -> None:
    """Calculate numerology"""
    e = NumerologyCalculator(name, birthdate)
    click.echo(e.calulate().to_report())


@click.group(name="misc")
def misc_group() -> None:
    """Misc"""
    pass


misc_group.add_command(cal_numerology)
